叢集熱潮週期

GET /clusters/hype-cycles
GetClusterHypeCycles

某個 cluster 相較於市場,在 hype cycle 中提早抵達的程度。curve 是各陣營在高峰前 7 天到高峰後 7 天的貼文累計占比,因此線愈靠左代表愈早;lead_days 是該 cluster 的領先幅度(正值代表較早),clusters 則將所有 cluster 的領先幅度排名。

參數規則:

  • 傳送 cluster_id。
  • cluster_id 一次只指定一個 cluster;若要比較多個 cluster,請逐一呼叫,或改用 /clusters 一次取得所有 cluster。
  • 貼文社群(wallstreetbets、reddit)僅涵蓋股票:使用其中一個時,asset_class 必須包含 equity。

可使用錢包於 https://nebula-api.hiddensystems.ai/api/v1/x402/clusters/hype-cycles 付款。不需要 Nebula 帳號或 API 金鑰;簽署前請先確認付款條件。x402 付款指南。

參數

cluster_id string QUERY 必填

要分析的 cluster,格式與 /clusters 傳回的一致,例如 smart_money 或 wallstreetbets。可取自 /sentiment 的 clusters 參數中的任何 id。

Example:smart_money

asset_class array<string> QUERY

要分析的市場:可為 equity、commodity、index 和 crypto 任一種,以逗號分隔。預設為全部四種。可傳送多個並以逗號分隔。

Default:equity,commodity,index,crypto

days integer QUERY

要納入多少個完整 UTC 日的市場高峰,從最近一個完整日往回計算:30 或 90。免費方案可回溯 90 天;再往前會傳回 403。

允許的值
3090

Default:90

cURL 範例

curl --get \
  --url 'https://nebula-api.hiddensystems.ai/api/v1/public/clusters/hype-cycles' \
  --data-urlencode 'cluster_id=smart_money' \
  --header 'X-API-Key: YOUR_API_KEY'

回應

200 OK
400 錯誤的要求
401 未經授權
402 額度已用完;回應會包含續約時間與已購買的額度餘額
403 禁止
404 找不到
405 不允許的方法;Allow 標頭會列出支援的方法
429 要求過多
500 內部伺服器錯誤
503 服務無法使用

媒體類型 application/json

asset_classes
array<string> 必填

所分析的市場,依 equity、commodity、index、crypto 的順序:所要求的 asset_class 值,若省略 asset_class 則為全部四者。

cluster_id
string 必填

所分析的 cluster,以其標準 cluster_id 表示。

clusters
array<object> 必填

每個具有領先幅度(5 個或更多 cycle)的 cluster,依領先幅度由早到晚排序,並包含所請求的該 cluster。

clusters[].cluster_id
string 必填

該 cluster,以其標準 cluster_id 表示。

clusters[].cycles_joined
integer 必填

該 cluster 在市場高峰時段前後 24 小時內有貼文的已完成 hype cycle。

clusters[].lead_days
number (double) 必填

該 cluster 的領先天數,以頂層 lead_days 計算。正值代表較早。

clusters[].lead_high_days
number (double) 必填

lead_days 可能範圍的上限。

clusters[].lead_low_days
number (double) 必填

lead_days 可能範圍的下限。

curve
array<object> 必填

平均累計醞釀程度,day_offset 從 −7 到 +7 每天一個資料點;尚無任何 cycle 完成時為空。

curve[].cluster_cumulative_pct
number (double) 必填

該 cluster 在高峰前後 15 天內的貼文中,截至當日結束所占的百分比,並對各 cycle 取平均;day_offset 為 7 時為 100。

curve[].day_offset
integer 必填

距市場高峰的天數:高峰前為負值,高峰當日為 0,高峰後為正值。

curve[].market_cumulative_pct
number (double) 必填

市場在相同 cycle 下的相同數據。

cycles_joined
integer 必填

該 cluster 參與的已完成 hype cycle:在高峰前後 7 天內有 3 則或更多貼文。

days
integer 必填

視窗長度,以完整 UTC 日為單位,結束於最近一個完整日。

lead_days
number (double) 必填

該 cluster 的貼文在市場高峰時段前後 24 小時內,比其他人早多少天。正值代表較早;未滿 20 個 cycle 時為 null。

{
  "asset_classes": [
    "equity",
    "commodity",
    "index",
    "crypto"
  ],
  "cluster_id": "smart_money",
  "clusters": [
    {
      "cluster_id": "wallstreetbets",
      "cycles_joined": 171,
      "lead_days": 0.0542,
      "lead_high_days": 0.0708,
      "lead_low_days": 0.0417
    },
    {
      "cluster_id": "smart_money",
      "cycles_joined": 471,
      "lead_days": 0.0125,
      "lead_high_days": 0.0292,
      "lead_low_days": -0.0083
    },
    {
      "cluster_id": "exchanges",
      "cycles_joined": 466,
      "lead_days": -0.0667,
      "lead_high_days": -0.0542,
      "lead_low_days": -0.0792
    }
  ],
  "curve": [
    {
      "cluster_cumulative_pct": 46.8,
      "day_offset": -1,
      "market_cumulative_pct": 38.2
    },
    {
      "cluster_cumulative_pct": 63.5,
      "day_offset": 0,
      "market_cumulative_pct": 57.9
    },
    {
      "cluster_cumulative_pct": 73.1,
      "day_offset": 1,
      "market_cumulative_pct": 69.4
    }
  ],
  "cycles_joined": 27,
  "days": 90,
  "lead_days": 0.0125
}